# Permissions

Permissions are a way to restrict members in your multisig from certain interactions.\
This can be helpful if there are certain accounts that serve have a single use-case like voting for example.

This is how you can create a multisig and set certain permissions to you members.

```typescript
multisig.rpc.multisigCreate({
    connection,
    creator,
    multisigPda,
    configAuthority: null,
    timeLock: 0,
    threshold: 1,
    members: [{
            key: coolFriend1PublicKey,
            permissions: Permissions.all(),
        },
        {
            key: coolFriend2PublicKey,
            permissions: Permissions.fromPermissions([Permission.Vote]),
        },
    ],
    createKey,
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://hyperdrive.squads.so/reference/permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
